# README

## About

Track the anime you are watching by syncing with various services. Anilist, MyAnimeList, Simkl...

This has been built with the official Wails Svelte-TS template.

To run as is, please feel free to download a binary from the releases page.

If you are getting too many errors due to api usage, please build from source.

## Build from Source

### Get API Keys
First you will need your own API keys for the various services the app connects to.
AniList: [AniList Developer App](https://anilist.co/settings/developer)
MyAnimeList: [MyAnimeList Developer App](https://myanimelist.net/apiconfig/create)
Simkl: [Simkl Developer](https://simkl.com/settings/developer/)

  - Name: AniTrack
  - Redirect URL: http://localhost:6734/callback
  - App Type: web
  - Homepage URL: http://localhost or the Github URL
  - Company Name: AniTrack
  - Commercial/Non-Commercial: non-commercial
  - Purpose of Use: hobbyist

Once you have the IDs, Keys, and Secrets create an environment.go file based on the environment.go.example and fill in the fields.

### Install Wails and Dependencies
Please follow the instructions [here](https://wails.io/docs/gettingstarted/installation) to get Wails up and running and follow the instructions below.

## Live Development

To run in live development mode, run `wails dev` in the project directory. This will run a Vite development
server that will provide very fast hot reload of your frontend changes. If you want to develop in a browser
and have access to your Go methods, there is also a dev server that runs on http://localhost:34115. Connect
to this in your browser, and you can call your Go code from devtools.

## Building

To build a redistributable, production mode package, use `wails build --clean`.
