import moment from "moment";

export default (date: {
    year?: number,
    month?: number,
    day?: number,
}): string => {
    if (date.year === undefined || date.year === 0
        && date.month === undefined || date.month === 0
        && date.day === undefined || date.day === 0
    ) {
        return ""
    }
    const newISODate = new Date(date.year, date.month - 1, date.day)
    const newMoment = moment(newISODate)
    return newMoment.format('YYYY-MM-DD')
}